Subject: Re: [RFC] Patch to option HSO driver to the kernel

From: Filip Aben <[email-masked]>
Date: Tue, 15 Apr 2008 18:24:48 +0200

On Tue, 2008-04-15 at 08:34 -0700, Greg KH wrote:
> On Tue, Apr 15, 2008 at 05:03:09PM +0200, Filip Aben wrote:
> > 
> > On Tue, 2008-04-15 at 16:14 +0200, Oliver Neukum wrote:
> > > Am Dienstag, 15. April 2008 16:12:22 schrieb Filip Aben:
> > > > 
> > > > On Tue, 2008-04-15 at 15:25 +0200, Oliver Neukum wrote:
> > > > > Am Montag, 14. April 2008 23:32:39 schrieb Greg KH:
> > > > > > Hi all,
> > > > > > 
> > > > > > Here's a patch that I have cleaned up for context only from Option that
> > > > > > is a USB serial / network device all in one.
> > > > > > 
> > > > > > I'd like to see this go into 2.6.26, so any review comments by anyone
> > > > > > who wishes to review any portion of this would be greatly apprecited.
> > > > > 
> > > > > The driver implements an ioctl to disable autosuspend. This seems
> > > > > unnecessary to me, as you can do that via sysfs, too. Is this included
> > > > > to work around permission problems? Can somebody explain?
> > > > > 
> > > > > 	Regards
> > > > > 		Oliver
> > > > 
> > > > This is added to support card firmware upgraders who will need to
> > > > disable suspend, even on (embedded) systems that don't have sysfs
> > > > mounted.
> > > 
> > > How do they enable autosuspend without sysfs?
> > 
> > Good point. No idea. I suppose it's easier to rely on something that
> > will always work, rather then making assumptions about suspend based on
> > whether sysfs is mounted or not.
> 
> Like I always like to point out, my _phone_ has sysfs mounted, I really
> doubt any 2.6 embedded system would not have it mounted these days, it
> is very useful for things like this.
> 
> So I'll go delete that "special" ioctl, that's not a good thing to do,
> use the common interfaces that all USB devices rely on instead, don't do
> something different for just one type of USB device.

Fair enough.

> 
> I'm also a bit concerned about the special "set radio" ioctl as well.
> Filip, what uses that ioctl?  If it's really necessary, can't a sysfs
> file do the same thing?

Currently I don't think anybody uses it for Linux. I added it because
our non-Linux drivers had this functionality. It's used for example by
our connection managers/tools to disable the RF-part when the laptop
goes to sleep ( but keeps the USB bus powered&suspended ). This is a
requirement for quite some operators.
But yes, I suppose the same could be done through sysfs.

Regards,

Filip-
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html